<?php
/*
* Plugin Name: HA CSS Background Generator
* Plugin URI: https://hiraansari.dev/wordpress-plugin/ha-css-background-generator-wp-plugin/
* Author: Hira Ansari
* Author URI: https://HiraAnsari.dev
* Description: Add imageless, lightweight and fast loading CSS background patterns to any HTMl tag or element with HA CSS Background Generator.
* Version: 1.1.0
* License: GPLv2
* Licence URI: https://www.gnu.org/licenses/gpl-2.0.html
* Text Domain: ha-css-background-generator
*/

// If this file is called directly, abort.

if ( !defined( 'WPINC' ) ) {
	die;
}

// Check and Define Plugin Version

if ( ! defined( 'HCBG_PLUGIN_VERSION' ) ) {
	
	define( 'HCBG_PLUGIN_VERSION', '1.1.0' );
}

// Check and Define Directory Path

if ( ! defined( 'HCBG_PLUGIN_DIR' ) ) {
	
	define( 'HCBG_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
}

// Enqueue Admin CSS File

if ( !function_exists( 'hcbg_admin_enqueue_scripts' )) {

    function hcbg_admin_enqueue_scripts() {
        wp_enqueue_style('hcbg-style', plugin_dir_url( __FILE__ ) . '/assets/css/hcbg-main.css' );
}

add_action( 'admin_enqueue_scripts', 'hcbg_admin_enqueue_scripts');

}

add_action( 'admin_notices', 'hcbg_admin_notice' );

function hcbg_admin_notice() {
$user_id = get_current_user_id();
if ( !get_user_meta( $user_id, 'true' ) && current_user_can( 'manage_options' ) )
echo  '<div class="notice notice-info is-dismissible"><p><big><strong>'.esc_html__('HA CSS Background Background Generator').'</strong>:</big> <a href="'.esc_html__('https://wordpress.org/support/plugin/ha-css-background-generator/reviews/').'" class="button-info button button-secondary" target="_blank">'.esc_html__('Write a Review').'</a></p></div>';
}

  require HCBG_PLUGIN_DIR.'/inc/hcbg_css.php';
  require HCBG_PLUGIN_DIR.'/inc/hcbg_css_bg_customizer.php';

?>