<?php
 if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly      
/*
* HA CSS Background Image Generator - Customize Section
*/

function hcbg_css_bg_customize_register( $wp_customize ) {
	


// =============================================================================================== Background Image Patterns Section ============>
	
			$wp_customize->add_section( 'hcbg_options_section', array(
				'title' => 'HA CSS Backgrounds',
				'panel' => '',
				'priority' => '30'
			));

// // ========================================================= Activate / Deactivate Trigger CSS Background Image (Setting + Control) ==========>

						$wp_customize->add_setting('hcbg_options_trigger', array(
								'type' => 'theme_mod',
								'capability' => 'edit_theme_options',
								'default' => 'no',
								'transport' => 'refresh',
								'sanitize_callback' => 'esc_attr'
						));
						$wp_customize->add_control('hcbg_options_trigger', array(
								'label' => 'Activate Background Patterns?',
								'type' => 'radio',
								'section' => 'hcbg_options_section',
								'choices' => array( 'yes' => 'Yes', 'no' => 'No' ) 
						));	                


// // ================================================================== Radio Option to choose custom tag or default body tag (Setting + Control) ==========>

						$wp_customize->add_setting('hcbg_tag_type', array(
								'type' => 'theme_mod',
								'capability' => 'edit_theme_options',
								'default' => 'body',
								'transport' => 'refresh',
								'sanitize_callback' => 'esc_attr'
						));
						$wp_customize->add_control('hcbg_tag_type', array(
								'label' => 'HTML Type (Tag / ID / Class)?',
								'type' => 'radio',
								'section' => 'hcbg_options_section',
								'choices' => array( 'body' => 'Body Tag', 'other_tag' => 'Other Tag', 'custom_id' => 'Custom ID', 'custom_class' => 'Custom Class' ) 
						));	                

// // ============================================================================================================== Tag Name ==========>

						$wp_customize->add_setting('hcbg_options_tag_name', array(
								'type' => 'theme_mod',
								'capability' => 'edit_theme_options',
								'default' => 'body',
								'transport' => 'refresh',
								'sanitize_callback' => 'esc_attr'
						));

						$wp_customize->add_control('hcbg_options_tag_name', array(
								'label' => 'HTML Element (Tag / ID / Class) Name:',
								'type' => 'text',
								'section' => 'hcbg_options_section'		
						));	


// // ========================================================================================= Body Background color =====>

						$wp_customize->add_setting('hcbg_body_bg_base_color', array(	
							'type' => 'theme_mod', // or 'theme_option'
							'capability' => 'edit_theme_options',
							'default' => '#fff',
							'transport' => 'refresh', // or postMessage
							'sanitize_callback' => 'sanitize_hex_color'
							));

						$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'hcbg_body_bg_base_color', array(
							'label' => 'Base Color',
							'type' => 'color',
							'section' => 'hcbg_options_section',
							) ) );


// // ======================================================================================== BG Gradient color 1 ======>

							$wp_customize->add_setting('hcbg_bg_gradient_color_1', array(	
								'type' => 'theme_mod', // or 'theme_option'
								'capability' => 'edit_theme_options',
								'default' => '#00a1ff',
								'transport' => 'refresh', // or postMessage
								'sanitize_callback' => 'sanitize_hex_color'
								));

							$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'hcbg_bg_gradient_color_1', array(
								'label' => 'Gradient 1',
								'type' => 'color',
								'section' => 'hcbg_options_section',
							) ) );

// // ======================================================================================= BG Gradient color 2 ======>

						$wp_customize->add_setting('hcbg_bg_gradient_color_2', array(	
							'type' => 'theme_mod', // or 'theme_option'
							'capability' => 'edit_theme_options',
							'default' => '#032d99',
							'transport' => 'refresh', // or postMessage
							'sanitize_callback' => 'sanitize_hex_color'
							));

						$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'hcbg_bg_gradient_color_2', array(
							'label' => 'Gradient 2',
							'type' => 'color',
							'section' => 'hcbg_options_section'
							) ) );
							

// // ========================================================================================== BG Gradient color 3 ======>

						$wp_customize->add_setting('hcbg_bg_gradient_color_3', array(	
							'type' => 'theme_mod', // or 'theme_option'
							'capability' => 'edit_theme_options',
							'default' => '#000',
							'transport' => 'refresh', // or postMessage
							'sanitize_callback' => 'sanitize_hex_color'
							));

						$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'hcbg_bg_gradient_color_3', array(
							'label' => 'Gradient 3',
							'type' => 'color',
							'section' => 'hcbg_options_section'
							) ) );

// // ========================================================= Activate / Deactivate Trigger CSS Background Image (Setting + Control) ==========>

						$wp_customize->add_setting('hcbg_body_bg_attachment', array(
								'type' => 'theme_mod',
								'capability' => 'edit_theme_options',
								'default' => 'no',
								'transport' => 'refresh',
								'sanitize_callback' => 'esc_attr'
						));
						$wp_customize->add_control('hcbg_body_bg_attachment', array(
								'label' => 'Make Background Fixed on Scroll? ',
								'type' => 'radio',
								'section' => 'hcbg_options_section',
								'choices' => array( 'yes' => 'Yes', 'no' => 'No' ) 
						));	                




// // ================================================================== Radio Image Option to choose from CSS Styles (Setting + Control) ==========>

						$wp_customize->add_setting('hcbg_css_style_options', array(
								'type' => 'theme_mod',
								'capability' => 'edit_theme_options',
								'default' => 'hcbg-sty-1',
								'transport' => 'refresh',
								'sanitize_callback' => 'esc_attr'
						));
						$wp_customize->add_control('hcbg_css_style_options', array(
								'label' => 'Select Pattern Style',
								'type' => 'radio',
								'section' => 'hcbg_options_section',
								'choices' => array( 'hcbg-sty-1' => 'Style 1', 'hcbg-sty-2' => 'Style 2', 'hcbg-sty-3' => 'Style 3', 'hcbg-sty-4' => 'Style 4', 'hcbg-sty-5' => 'Style 5', 'hcbg-sty-6' => 'Style 6', 'hcbg-sty-7' => 'Style 7', 'hcbg-sty-8' => 'Style 8', 'hcbg-sty-9' => 'Style 9', 'hcbg-sty-10' => 'Style 10', 'hcbg-sty-11' => 'Style 11', 'hcbg-sty-12' => 'Style 12', 'hcbg-sty-13' => 'Style 13', 'hcbg-sty-14' => 'Style 14', 'hcbg-sty-15' => 'Style 15', 'hcbg-sty-16' => 'Style 16', 'hcbg-sty-17' => 'Style 17', 'hcbg-sty-18' => 'Style 18', 'hcbg-sty-19' => 'Style 19', 'hcbg-sty-20' => 'Style 20',  ) 
						));	                

// ==================================================================================== End Customization function ===================================================================>

    
}

// ========================================================================================== Regsiter Function ============================================================================>

add_action( 'customize_register', 'hcbg_css_bg_customize_register');

?>